lcksum(1)

NAME
lcksum - verifies a transcript's checksums and file sizes

SYNOPSIS
lcksum [-%AiqV] [ -D path ] [ -n [ -a ]] [ -P prefix ] -c checksum transcript

DESCRIPTION
lcksum verifies and updates the checksums and file sizes of the appliable transcript transcript line-by-line. lcksum compares the checksum and file size listed in transcript to that of the file in the file system. Files must be located in file directory associated with transcript. With the -n option lcksum verifies but does not modify transcript. If there is a difference in either the checksum or file size, the transcript line is updated using the checksum, file size and modification time of the actual file. Since lcksum modifies the file size and/or checksum of transcript, the user must have write access to transcript. lcksum also verifies that transcript is sorted in depth first order. With the -P option, lcksum will only verify transcript lines with paths starting with prefix.

OPTIONS

-%  progress output.

-a  continue checking on error. Requires -n option.

-A  verify AppleSingle headers.

-c checksum
    enables checksuming.

-D path
    specifies the radmind working directory, by default /usr/obj/ports/radmind-1.5.0/fake-vax/var/radmind

-i  force line buffering.

-n  verify but do not modify transcript.

-P prefix
    only verify transcript lines that begin with prefix.

-q  suppress all messages.

-V  displays the version of lcksum, a list of supported checksumming algorithms in descending order of preference and then exits.

EXIT STATUS
The following exit values are returned:

0   Transcript was verified.

1   Differences were found.

>1  An error occurred.

SEE ALSO
fsdiff(1), ktcheck(1), lapply(1), lcreate(1), lfdiff(1), lmerge(1), twhich(1), radmind(8).